require 'spec_helper'

describe Tomahawk::ConfigParser do
  it "parses Vhost files correctly" do
    httpd = Tomahawk::DirectiveGroups::HTTPd.new

    google_com = Tomahawk::DirectiveGroups::VirtualHost.new('173.194.35.174:80', 'server_name' => 'google.com', 'server_alias' => 'www.google.com', 'document_root' => '/var/www/google.com')
    google_com.groups << Tomahawk::DirectiveGroups::Directory.new('/var/www/google.com', 'options' => '-Indexes FollowSymLinks MultiViews', 'allow_override' => 'AuthConfig Limit Indexes Options=All,MultiViews FileInfo')
    
    github_com = Tomahawk::DirectiveGroups::VirtualHost.new('192.30.252.131:80', 'server_name' => 'github.com', 'server_alias' => 'www.github.com github.io', 'document_root' => '/var/www/github.com')
    github_com.groups << Tomahawk::DirectiveGroups::Directory.new('/var/www/github.com', 'options' => '-Indexes FollowSymLinks MultiViews', 'allow_override' => 'AuthConfig Indexes Options=All FileInfo')
    github_com.groups << Tomahawk::DirectiveGroups::Directory.new('/var/www/github.com/private', 'order' => 'allow, deny', 'allow' => 'from all')


    httpd.groups << google_com
    httpd.groups << github_com

    config = Tomahawk::ConfigParser.new(httpd.to_s)


    config.call

    expect(config.result).to eq(httpd)
  end
end

